Contents:

data/ - data subdirectory
moiety_modeling-1.0.3.tar.gz - moiety modeling package
SAGA_optimize-1.0.3.3.tar.gz - SAGA-optimize package
README.md - this README file
results/ - results subdirectory
run.sh* - the run script to generate all the results.
create_data.py - the script file to create simulate single- and multi-tracer data.
analyze.py - the script file to optimize with each set of simulated datasets.
plotMoietyValue.py - the script file to plot the distribution of moiety states for each set of simulated datasets.
plotIsotopologueDistribution.py - the script file to plot the distribution of highest peak of the isotopologue across the set of simulated datasets.

Basic Instructions:

1) Install the packages first!
   The original versions of the packages are included here as tarballs, but the latest versions of these packages can be found on GitHub or PyPI.
       https://github.com/MoseleyBioinformaticsLab/moiety_modeling 
       https://github.com/MoseleyBioinformaticsLab/SAGA_optimize 
       https://pypi.org/project/moiety-modeling/ 
       https://pypi.org/project/SAGA-optimize/ 

2) Run the run file to get all the results.
   % ./run.sh

Additional Information 

The data subdirectory contains examples of input files for moiety modeling framework.
    The models.json contains all the JSONized models with single tracer.
    The SAGA_setting.json contains the JSONized optimization setting for model selection.
    The UDP_data_6_34_48.json contains the JSONized mass spectroscopy UDP-GlcNAc isotopologue datasets.
    model_single.json contains the JSONized expert-derived model with single tracer.
    model_multi.json contains the JOSNized expert-derived model with multi tracers.
    The SAGA_test.json contains the JSONinzed optimization setting for the tests of simulated datasets.

The results subdirectory contains the results of original data and simulated data.

   The results of model optimizations, model optimization analyses, and model selection analysis generated from original datasets are saved in a subdirectory named models_UDP_data_6_34_48_SAGA_setting_T_100_S_M_logDifference subdirectory.
   The contents of this subdirectory includes:
      logFile.log - log file automatically generated by the moiety_modeling package.
      SAGA_100000/ - contains the model optimization results.
      SAGA_100000_logDifference_analysis/ - contains the model optimization analysis results.
      SAGA_100000_logDifference_analysis/model_rank_AICc/ - contains the model selection analysis results.
      SAGA_100000_logDifference.txt - contains the file paths to the individual model optimizations results.

   The multi_std_0.1_datasets subdirectory contains 100 simulated datasets with multi-tracer by adding error from a normal distribution with 0.1 standard deviation.
   The multi_std_0.01_datasets subdirectory contains 100 simulated datasets with multi-tracer by adding error from a normal distribution with 0.01 standard deviation.
   The multi_std_0.001_datasets subdirectory contains 100 simulated datasets with multi-tracer by adding error from a normal distribution with 0.001 standard deviation.
   The single_std_0.1_datasets subdirectory contains 100 simulated datasets with single-tracer by adding error from a normal distribution with 0.1 standard deviation.
   The single_std_0.01_datasets subdirectory contains 100 simulated datasets with single-tracer by adding error from a normal distribution with 0.01 standard deviation.
   The single_std_0.001_datasets subdirectory contains 100 simulated datasets with single-tracer by adding error from a normal distribution with 0.001 standard deviation.

   The multi_std_0.1_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.
   The multi_std_0.01_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.
   The multi_std_0.001_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.
   The single_std_0.1_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.
   The single_std_0.01_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.
   The single_std_0.001_analysis subdirectory contains the optimization and analysis results as well as the plots of related simulated datasets.



       


