#!/usr/bin/bash


# Part I
# model optimization
python3 -m moiety_modeling modeling --models=/mlab/data/hji236/projects/moiety_modeling_analyses/data/models.json --datasets=/mlab/data/hji236/projects/moiety_modeling_analyses/data/GAIMS_34_48_72.json --optimizations=/mlab/data/hji236/projects/moiety_modeling_analyses/data/SAGA_setting.json --working=/mlab/data/hji236/projects/moiety_modeling_analyses/results --repetition=100 --split --multiprocess --energyFunction=logDifference

# model analysis
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/models_GAIMS_34_48_72_SAGA_setting_T_100_S_M_logDifference/SAGA_100000_logDifference.txt

# model rank
python3 -m moiety_modeling analyze rank /mlab/data/hji236/projects/moiety_modeling_analyses/results/models_GAIMS_34_48_72_SAGA_setting_T_100_S_M_logDifference/SAGA_100000_logDifference_analysis/SAGA_100000_logDifference_analysis.txt

# Part II Data simulation and analysis
# simulated datasets generation
python3 create_data.py

# model optimization with simulated datasets
python3 analyze.py

# model analysis.
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/multi_std_0.1_analysis/SAGA_5000_absDifference.txt
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/multi_std_0.01_analysis/SAGA_5000_absDifference.txt
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/multi_std_0.001_analysis/SAGA_5000_absDifference.txt
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/single_std_0.1_analysis/SAGA_5000_absDifference.txt
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/single_std_0.01_analysis/SAGA_5000_absDifference.txt
python3 -m moiety_modeling analyze optimizations --a /mlab/data/hji236/projects/moiety_modeling_analyses/results/single_std_0.001_analysis/SAGA_5000_absDifference.txt

# plot moiety distribution
python3 plotMoietyValue.py

# plot isotopologue distribution.
python3 plotIsotopologueDistribution.py


